cdac.medinfo.sdk.hl7282.baselibs

## Class RCD

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType
  - - cdac.medinfo.sdk.hl7282.baselibs.RCD

- All Implemented Interfaces:
    IDataType

      public class RCD
      extends CompositeDataType

  RCD - Row column definition

  This data type specifies the format of a column in terms of a segment field name, a data type, and a maximum length.

  Represents an HL7 RCD data type. This data type has the following attributes:

  1. Segment Field Name (ST)Optional
  2. HL7 Data Type (ID)Optional
  3. Maximum Column Width (NM)Optional

  This class provides accessors & mutators for the elements mentioned above. This class override the equal method, to check whether some other object is "equal to" this one.

  User can also create Data Type through `DataElementFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RCD()` Default Constructor for RCD
    `RCD(int iComponentType, IDataTypeMap objIDataTypeMap)` Constructor for RCD class which takes two arguments and sets the value in the respective member variable.
    `RCD(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, IDataTypeMap objIDataTypeMap)` Constructor for RCD class which takes five arguments and sets the value in the respective member variable.
    `RCD(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, int ITableNo, IDataTypeMap objIDataTypeMap)` Constructor for RCD class which takes six arguments and sets the value in the respective member variable.
    `RCD(int iMinLength, int iMaxLength, java.lang.String strCLength, int iComponentType)` Constructor for CQ class which takes four arguments and sets the value in the respective member variable.
    `RCD(int iMinLength, int iMaxLength, java.lang.String strCLength, int iTableNo, int iComponentType)` Constructor for RCD class which takes five arguments and sets the value in the respective member variable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object objObject)` This method checks the equality of Object.
    `ID` | `getHL7DataType()` Returns HL7 Data Type
    `NM` | `getMaximumColumnWidth()` Returns Maximum Column Width
    `ST` | `getSegmentFieldName()` Returns Segment Field Name
    `void` | `setHL7DataType(ID objID)` Sets the HL7DataType.
    `void` | `setHL7DataType(java.lang.String strHL7DataType)` Sets the HL7DataType.
    `void` | `setMaximumColumnWidth(NM objNM)` Sets the MaximumColumnWidth.
    `void` | `setMaximumColumnWidth(java.lang.String strMaxColumnWidth)` Sets the MaximumColumnWidth.
    `void` | `setSegmentFieldName(ST objST)` Sets the SegmentFieldName.
    `void` | `setSegmentFieldName(java.lang.String strSegmentFieldName)` Sets the SegmentFieldName.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType

      `copy, dumpDataType, getAttributes, getDataTypeName, getLength, getValue, isPrimitive, read, setValue, validate, write, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RCD

          public RCD()

      Default Constructor for RCD

    - #### RCD

          public RCD(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iComponentType)
              throws InvalidComponentTypeException

      Constructor for CQ class which takes four arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### RCD

          public RCD(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iTableNo,
             int iComponentType)
              throws InvalidComponentTypeException

      Constructor for RCD class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### RCD

          public RCD(int iComponentType,
             IDataTypeMap objIDataTypeMap)

      Constructor for RCD class which takes two arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### RCD

          public RCD(int iComponentType,
             int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             IDataTypeMap objIDataTypeMap)

      Constructor for RCD class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### RCD

          public RCD(int iComponentType,
             int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int ITableNo,
             IDataTypeMap objIDataTypeMap)

      Constructor for RCD class which takes six arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

  - ### Method Detail

    - #### setSegmentFieldName

          public void setSegmentFieldName(java.lang.String strSegmentFieldName)

      Sets the SegmentFieldName.
      Parameters:
        `strSegmentFieldName` - identifies the field occupying the column.

    - #### setSegmentFieldName

          public void setSegmentFieldName(ST objST)

      Sets the SegmentFieldName.
      Parameters:
        `objST` - identifies the field occupying the column.

    - #### setHL7DataType

          public void setHL7DataType(java.lang.String strHL7DataType)

      Sets the HL7DataType.
      Parameters:
        `strHL7DataType` - The two or three character HL7 data type.

    - #### setHL7DataType

          public void setHL7DataType(ID objID)

      Sets the HL7DataType.
      Parameters:
        `objID` - The two or three character HL7 data type.

    - #### setMaximumColumnWidth

          public void setMaximumColumnWidth(java.lang.String strMaxColumnWidth)

      Sets the MaximumColumnWidth.
      Parameters:
        `strMaxColumnWidth` - The maximum width of the column, as dictated by the responding system.

    - #### setMaximumColumnWidth

          public void setMaximumColumnWidth(NM objNM)

      Sets the MaximumColumnWidth.
      Parameters:
        `objNM` - The maximum width of the column, as dictated by the responding system.

    - #### getSegmentFieldName

          public ST getSegmentFieldName()

      Returns Segment Field Name
      Returns:
        ST - data type.

    - #### getHL7DataType

          public ID getHL7DataType()

      Returns HL7 Data Type
      Returns:
        ID - data type.

    - #### getMaximumColumnWidth

          public NM getMaximumColumnWidth()

      Returns Maximum Column Width
      Returns:
        NM - data type.

    - #### equals

          public boolean equals(java.lang.Object objObject)

      This method checks the equality of Object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `objObject` - object of Object class.
      Returns:
        boolean - shows success or failure of the comparison.